Name:               key-mon
Version:            1.20
Release:            K05%{?dist}
Summary:            A screen cast utility that displays your keyboard and mouse status
License:            Apache-2.0
URL:                https://github.com/scottkirkwood/key-mon/
Source0:            %{name}-%{version}.tar.gz
Source1:            %{name}.desktop
BuildArch:          noarch
BuildRequires:      python3-devel
BuildRequires:      desktop-file-utils
BuildRequires:      python3-setuptools
Requires:           python3-xlib
Requires:           python3-gobject-base
Requires:           librsvg2

Patch0:             %{name}_SafeConfigParser2.patch

%description
Key-mon is useful for teaching since it shows the current status of your
keyboard and mouse and you use them in another application.  No longer do
you need to say 'Now I'm pressing the Ctrl-D key', your students can just
see the keystroke for themselves.

%prep
%setup -q
%patch -p1 -P 0

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %SOURCE1 
install -d -m 0755 %{buildroot}%{_mandir}/man1
install -m 0644 man/%{name}.include %{buildroot}%{_mandir}/man1/%{name}.1

# The wrong icons are intalled

rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor
cp -r icons/hicolor $RPM_BUILD_ROOT%{_datadir}/icons/ 

mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cp %{name}.appdata.xml $RPM_BUILD_ROOT%{_datadir}/appdata/


%files
%{_mandir}/man1/%{name}.1*
%doc ACKNOWLEDGMENTS.rst README.rst COPYING
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/icons/*
%{python3_sitelib}/keymon/
%{python3_sitelib}/key_mon-%{version}*

%changelog
* Mon Jan 15 2024 Karlis Kalviskis <karlo@lu.lv> - 1.20-K05
- Fixed the patch tag missing for epel building environment.

* Mon Jan 15 2024 Karlis Kalviskis <karlo@lu.lv> - 1.20-K04
- Fixed python 3.12 missing distutils.

* Sun Jan 14 2024 Karlis Kalviskis <karlo@lu.lv> - 1.20-K03
- Fixed python 3.12 broken SafeConfigParser.

* Sat Jan 13 2024 Karlis Kalviskis <karlo@lu.lv> - 1.20-K01
- A new version.

* Sun Jan 24 2021 Karlis Kalviskis <karlo@lu.lv> - 1.19-K01
- A new version
- Switched to python 3

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.16-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 1.16-3
- Add an AppData file for the software center

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Dec 06 2013  Ryan Lerch <ryanlerch@fedoraproject.org> 1.16-1
- initial package for Fedora
